/* CSS for Sobre Section */

.sobre {
    overflow: clip;
    background-color: #80A5CA;
    min-height: 100dvh;
    padding: 0;
    gap: 0;
}

.sobre .wrapper {
    display: flex;
    gap: var(--spacing-gap-large);
}

.subsection {
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* SLIDESHOW */
.section-slideshow {
    width: 55%;
}

.sobre .section-header {
    width: 45%;
    flex-direction: column;
    align-items: center;
    padding-top: calc(var(--spacing-section-vertical) * 3);
    position: sticky;
    top: 0;
    z-index: 1;
    gap: var(--spacing-gap-medium);
    min-width: 1000px;
}
.sobre .section-header .section-title-container {
    width: 100%;
    align-items: center;
}
.sobre .section-title__heading { text-align:center; color: #fff; }
.sobre .section-description { width:100%; max-width:none; color: #fff; min-width:none; text-align:center; }
.sobre .button-holder { justify-content: center; }
.sobre .section-description .text-large, .sobre .section-description .text-small { color: #fff; }


.mamucabo-biglogo {
    width: 100%;
    min-height: 100dvh;
    display: flex;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 2;
    pointer-events: none;
}

.mamucabo-biglogo .clouds {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background: url('../../images/clouds.jpg') top center / cover no-repeat;
    -webkit-mask-image: linear-gradient(to bottom, transparent 0%, black 30%);
    mask-image: linear-gradient(to bottom, transparent 0%, black 30%);
}

.mamucabo-biglogo img {
    width: 100%;
    height: auto;
}

.mamucabo-biglogo-inner {
    width: 100%;
    position: sticky;
    top: 25%;
    z-index: 2;
}

/*


SECOND PART 


*/


.second-part {
    width: 100%;
    display: flex;
    flex-direction: column;
    z-index: 3;
}

.second-part .cutout { 
    width: 100%;
    height: 1px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.second-part .cutout img { width: 100%; height: auto;}

.second-part .content {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-gap-xlarge);
    padding-bottom: var(--spacing-section-vertical);
    background-color: #BCB3A4;
    background-image: url('../../images/bottom-cutout.jpg');
    background-position: top center;
    background-repeat: no-repeat;
    background-size: 100% auto;
}

.second-part .content .upper {
    width: 100%;
    min-height: 50dvh; /* atencao */
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: var(--spacing-gap-large);
}
.second-part .content .upper .left-side {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-gap-small);
    justify-content: flex-end;
    align-items: flex-start;
    color: #fff;
}

.second-part .content .upper .left-side .section-title__heading { text-align: left; }


.second-part .content .upper .left-side .text-small {
    color: #ffff;
}

.second-part .content .upper .right-side {
    width: 50%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

/* Glass Card (reusável) */
.glass-card {
    background: rgba(0, 0, 0, 0.15);
    backdrop-filter: blur(11px);
    -webkit-backdrop-filter: blur(11px);
    border-radius: var(--border-radius-medium);
    padding: 8px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    min-width: 300px;
    max-width: 360px;
    /* width: 40%; */
}
.glass-card__image {
    border-radius: 8px;
    overflow: hidden;
    aspect-ratio: 16 / 9;
}
.glass-card__image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.glass-card__content {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-gap-small);
    padding: 10px 10px 10px;
    color: #fff;
}
.glass-card__title {
    font-size: 18px;
    font-weight: 500;
    line-height: 18px;
    margin: 0;
    padding:0; 
    color: #fff;
}
.glass-card__desc {
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    margin: 0;
    text-wrap: balance
}

.google-maps {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    max-height: 80dvh;
    border-radius: var(--border-radius-medium);
    overflow: hidden;
}



@media (max-width: 1500px) {
}

@media (max-width: 1024px) {
    .second-part .content .upper .left-side .text-small { text-align:center; }
    .second-part .content .upper .left-side .section-title__heading { text-align:center; }
    .sobre .section-header { min-width: unset; width:100%; }
    .second-part .content .upper { flex-direction: column; min-height: unset; }
    .second-part .content .upper .left-side { width:100%; }
    .second-part .content { padding-top: 30%; gap: 40px; }
    .second-part .content .upper .left-side .section-title-container { align-items:center; }
    .second-part .content .upper .right-side { width:100%; justify-content:flex-start; }
    .glass-card { max-width:unset; width:100%; min-width:unset; flex-direction: row;}
    .glass-card__content { justify-content:space-between; }

    .google-maps { aspect-ratio:9 / 18; max-height: 95dvh; }

    
}

@media (max-width: 768px) {
    .second-part .content { gap: 20px; }
    .glass-card { flex-direction: column; }
    .glass-card__image { aspect-ratio: 16/7; }

}